function [ B, rankUpperBound, L, R ] = FactorMatrix(m, n, d)
%FACTORMATRIX Returns a Boolean m*n matrix of rounding rank at most d.
%
%   This code is free to use for scientific purposes provided that the
%   original paper is cited.
%
%   Copyright Pauli Miettinen & Stefan Neumann, 2016

L = rand(m,d) - 1/2;
R = rand(d,n) - 1/2;

rankUpperBound = min([m,n,d]);

B = Round(L*R, 0);

