function [ Brounded ] = Round( B, thresh )
%ROUND Rounds input matrix B according to the passed threshold.
%   R = Round(B, tau) returns R that has R(i, j) = 1 when B(i, j) >= tau 
%       R(i, j) = 0 otherwise.
%   R = Round(B) will use tau = 1/2.
%
%   This code is free to use for scientific purposes provided that the
%   original paper is cited.
%
%   Copyright Pauli Miettinen & Stefan Neumann, 2016

if nargin < 2
	% no threshold was given
	thresh = 1/2;
end

Brounded = B;

Brounded( B >= thresh ) = 1;
Brounded( B < thresh) = 0;

end

