function x = logitfro(B, L, R, k)
%LOGIFRO returns the squared Frobenius between a matrix and logistically
%linked matrix
%
% LOGITFRO(B, L, R, k) returns ||B - logit(L*R)||_F^2, where logit(X) is
% the logistic function with steepnes k.
%
%   This code is free to use for scientific purposes provided that the
%   original paper is cited.
%
%   Copyright Pauli Miettinen & Stefan Neumann, 2016

x = norm( B - (1 + exp( -k * (L*R - 1/2) )).^(-1), 'fro' )^2;