%MAKE_NESTED_DATA makes nested matrices
%
%   This code is free to use for scientific purposes provided that the
%   original paper is cited.
%
%   Copyright Pauli Miettinen & Stefan Neumann, 2016
n = 200;
m = 300;

Density = 0.1:0.1:0.7;
Noise   = 0.05:0.05:0.5;

defDensity = 0.5;
defNoise = 0.15;

Iterations = 10;

datadir = '../data/synth/';

%% Different density
noise = defNoise;
for i=1:length(Density)
    dens = Density(i);
    for iter=1:Iterations
        [B, Borig] = createNestedMatrix(n, m, dens, noise);
        save(sprintf('%s/nested_%03i_%03i_%.2f_%.2f_%02i.mat', ...
                     datadir, n, m, dens, noise, iter), ...
             'B', 'Borig');
    end
end

%% Different noise
dens = defDensity;
for i=1:length(Noise)
    noise = Noise(i);
    for iter=1:Iterations
        [B, Borig] = createNestedMatrix(n, m, dens, noise);
        save(sprintf('%s/nested_%03i_%03i_%.2f_%.2f_%02i.mat', ...
                     datadir, n, m, dens, noise, iter), ...
             'B', 'Borig');
    end
end
