function res = setup_gurobi()
%SETUP_GUROBI setups the Gurobi solver
%   res = SETUP_GUROBI() will return false if the Gurobi solver couldn't be
%   started.
%
%   This code is free to use for scientific purposes provided that the
%   original paper is cited.
%
%   Copyright Pauli Miettinen & Stefan Neumann, 2016


if isempty(regexp(path, 'gurobi-6.0.0', 'once'))
    addpath('/usr/lib/gurobi-6.0.0/matlab/');
end

if isempty(getenv('GRB_LICENSE_FILE'))
    setenv('GRB_LICENSE_FILE', '/usr/share/mpilm/gurobi-6.0.0.lic');
end

res = true;

% Build a trivial test case
model.obj = 1;
model.A = sparse(1,1);
model.rhs = 0;
model.sense = '=';
params.outputflag = false;

try
    gurobi(model, params);
catch
    warning('Couldn''t run gurobi');
    res = false;
end


    